Bug 426550 - Korganizer doesnt remind anything
Summary: Korganizer doesnt remind anything
Status: RESOLVED UNMAINTAINED
Alias: None
Product: korganizer
Classification: Applications
Component: reminder daemon (korgac) (show other bugs)
Version: 5.15.1
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-15 07:46 UTC by grannie
Modified: 2022-05-20 23:45 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description grannie 2020-09-15 07:46:54 UTC
Test:
create a new appointment tomorrow 10:00, remind 1 day earlier

No reminder pops up at 10:00 today :/

Is there any form of debugging possibility?
Comment 1 gjditchfield 2020-09-15 19:39:20 UTC
For comparison, I _do_ get reminders, with the older 5.14.3 and with the current development version (5.15.40 alpha).

For debugging, you can use akonadiconsole to inspect the event (the raw payload should have a VALARM section), and you can turn on logging messages by closing Kontact andKorganizer, then running "QT_LOGGING_RULES=org.kde.pim.*.debug=true korganizer" in a Konsole window.
Comment 2 grannie 2020-09-16 10:45:53 UTC
hi thx for the feedback.
I found out that korgac is not running.
However I cant even start it:

% ps aux| grep korgac | grep -v 'grep'; korgac ; ps aux| grep korgac | grep -v 'grep'
1

(1 is the grep return code)
Comment 3 grannie 2020-09-16 10:48:14 UTC
journalctl prints:
Sep 16 12:47:38 host kwin_x11[1665]: qt.qpa.xcb: QXcbConnection: XCB error: 3 (BadWindow), sequence: 51, resource id: 197132293, major code: 18 (ChangeProperty), minor code: 0
Sep 16 12:47:38 host akonadiserver[3246]: org.kde.pim.akonadiserver: Subscriber "" disconnected
Sep 16 12:47:38 host akonadiserver[3246]: org.kde.pim.akonadiserver: New notification connection (registered as Akonadi::Server::NotificationSubscriber(0x7f54943cdef0) )
Sep 16 12:47:38 host akonadiserver[3246]: org.kde.pim.akonadiserver: New notification connection (registered as Akonadi::Server::NotificationSubscriber(0x7f54943cdef0) )
Sep 16 12:47:38 host akonadiserver[3246]: org.kde.pim.akonadiserver: Subscriber Akonadi::Server::NotificationSubscriber(0x7f54943cdef0) identified as "ETMCalendarMonitor - 93899787426944"
Sep 16 12:47:38 host akonadiserver[3246]: org.kde.pim.akonadiserver: Subscriber "ETMCalendarMonitor - 93899787426944" disconnected
Comment 4 grannie 2020-09-16 14:15:54 UTC
Now I debugged it:
In korganizer settings -> general -> System Tray it's stated that:
"Show Reminder Daemon in the System Tray
Note: The daemon will continue running even if it is not shown in the system tray."

The corresponding checkbox (un)sets
ShowReminderDaemon=
in ~/.config/korganizerrc

If ShowReminderDaemon is set to false, korgac doesnt start.
So the "Note" is simply wrong. If you disable the tray, korgac doesnt run and you wont get any reminder...

Thats a bug
Comment 5 Allen Winter 2020-09-19 13:43:51 UTC
Adding @Dan

Indeed. also, if you deselect showing the reminder daemon in the system tray you'll get a defunct korgac process.  Then re-enabling doesn't start a new korgac

Dan: does this option even make sense these days?  Is removing the hide/show config option the best solution?
Comment 6 gjditchfield 2022-05-20 23:45:50 UTC
korgac has been replaced by a new reminder daemon, kalendarac, in version 22.04.0 (5.20.0).
KOrganizer no longer has a setting to control it.